<template>
 <main class="flex flex-col items-center justify-center pt-36 pb-72 space-y-5">
   <p class="text-6xl font-bold font-arco text-gray-200 hover:text-white">Destiny's Path</p>
   <div class="flex flex-col items-center justify-center space-y-5">
     <RouterLink to="game">
       <button class="bg-yellow-500 p-4 rounded font-bold hover:bg-yellow-600 w-56">JUGAR</button>
     </RouterLink>
     <RouterLink to="ranking">
       <button class="bg-sky-500 p-4 rounded font-bold hover:bg-sky-800 w-56">RANKING</button>
     </RouterLink>
     <button class="bg-red-500 p-4 rounded font-bold hover:bg-red-800 w-56">SALIR</button>
   </div>
 </main>
</template>

<script>
export default {
  name: 'HomeView',
  beforeRouteEnter(to, from, next) {
    if (from.path !== '/') {
      window.location.reload();
    }
    next();
  }
}
</script>